/*!
Theme Name:   Hellix Child
Theme URI:    https://madrasthemes.com/hellix/
Author:       MadrasThemes
Author URI:   https://madrasthemes.com/
Description:  Child Theme of Hellix - Modern Architecture & Interior Design Elementor WordPress Theme. Hellix is a niche WordPress Theme built distinctively for Architects and Interior Designers. Whether you are an individual or a corporate, Hellix is the theme for you to showcase your portfolio. Use Hellix to exhibit your Elevations, Floor Plans, Interior designs, 3D drawings, Product designs, etc.
Version:      1.0.30
Tested up to: 5.8
Requires PHP: 7.0
License:      GNU General Public License v3 or later
License URI:  https://www.gnu.org/licenses/gpl-3.0.html
Template:     hellix
Text Domain:  hellix-child
Tags:         e-commerce, two-columns, left-sidebar, right-sidebar, custom-background, custom-colors, custom-header, custom-menu, featured-images, full-width-template, threaded-comments, footer-widgets, sticky-post, theme-options, editor-style
*/


:root {
    --main-blue: #08467E;
    --footer-blue: #146EB5;
    --dark-blue: #002F59;

}


#cn-home-hero >.elementor-background-overlay,
.page-masthead>.elementor-background-overlay {
    background: linear-gradient(264.85deg,
            rgba(13, 69, 127, 0) 50.5%,
            rgba(13, 69, 127, 0.3) 85.92%),
        linear-gradient(1.43deg,
            rgba(13, 69, 127, 0) 18.7%,
            rgba(7, 92, 152, 0.3) 96.2%) !important;
}

#cn-home-hero.elementor-section.elementor-section-items-middle>.elementor-container {
  align-items: flex-end;
}



.page-masthead__bg::after,
.masthead__image::after {
    display: none;
}
.mobile-logo img{
  width: 100px;
}
.mobile-logo img,
.custom-logo-link img {
    filter: brightness(100);
}

.header__search {
    display: none !important;
}

header.is-sticky{
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.3);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.3);
  box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.3);
}

header.is-sticky .mobile-logo img,
header.is-sticky .custom-logo-link img {
    filter:none;
}


header.is-sticky .header__bar.js-header-bar {
    background-color: white;
}

header.is-sticky  #cn-header-demo {
    color:white !important;
    background-color: var(--footer-blue) !important;
}

@media (max-width: 992px){ 
    header.header.is-sticky .header__bar  .header__icons i.icon {
        color: var(--main-blue) !important;
    }
}

@media (min-width: 992px){ 


    header ul.nav .menu-item a {
        text-transform: none !important;
        color: white !important;
        font-family: "Inter" !important;
        font-weight: 700;
        font-size: 15px;
    }
    header.is-sticky ul.nav .menu-item a {
        color: var(--main-blue) !important;
    }

    .header__bar.js-header-bar {
        max-height: 79px;
    }



    /* ---- menú --- */
    .menu .nav__submenu {
    background-color: white;
    width: auto;
    padding: 10px 0px;
    }
    
    header ul.nav .nav__submenu_item a {
      color: var(--main-blue) !important;
      font-weight: 400 !important;
      padding: 9px 0px !important;
        white-space: nowrap;
    }

    .menu .nav__submenu::after{
      border-bottom-color: var(--footer-blue) !important;
    }
    .menu .nav__submenu::before {
      background-color: var(--footer-blue) !important;
    }

    button.js-sidebar-open{
        display: none !important;
    }
}


.footer {
    background-color: var(--footer-blue);
}
.footer__bottom_text {
    font-family: "Inter",sans-serif;
    color: #fff;
  }
.footer ul.footer__content a:hover, .footer .elementor-element-cd71845 a:hover {
  text-decoration: underline;
}
.backButton .nav__item{
  border-color:#fff;
}
  
  .tabs.-section .tabs__button.is-active {
      background-color: var(--footer-blue);
  }
  .tabs__controls .tabs__button.is-active .hx-tabs__title{
      color: white;
  }

  /* --- FROM WEBADMIN --- */

  .cn-li-dots li{
	list-style-type: disc;
}

.cn-li-dots ul {
	/**/
}
#cn-home-demo .sectionHeading.-top-line .sectionHeading__subtitle,
#cn-home-features .sectionHeading.-top-line .sectionHeading__subtitle {
  align-items: flex-start;
}

#cn-home-features .service__content.-border{
  border: 0 !important;
  text-align: center;
  padding: 10px
}

#cn-home-features .service__content.-border .service__icon {
  margin: 0 auto;
}


#cn-home-features .service__content.-border::after {
	display: none;
}

#cn-home-features .elementor-icon-box-description,
#cn-home-features .elementor-icon-box-title{
  color: var(--dark-blue) !important;
}

.tabs__controls.js-tabs-controls .hx-tabs__title{
  font-size:0.8em !important;
  padding: 1em !important;
}

.tabs.-section .tabs__button{
  padding: 3px;
}

.ninja-forms-form-wrap input,
.ninja-forms-form-wrap textarea {
  border-radius: 6px !important;
  color: white !important;
  border: 1px solid white!important;
  background-color: transparent !important;
}

.ninja-forms-form-wrap *::placeholder {
  color:#d3d3d3 !important;
}

.nf-form-fields-required {
  display: none;
}

.ninja-forms-form-wrap {
  margin-top: 30px
}

.ninja-forms-form-wrap .nf-pass .ninja-forms-field{
  border-color:white !important;
  border-width: 3px !important;
  background-color: rgba(255,255,255,0.1) !important;
}

.ninja-forms-form-wrap .nf-pass.field-wrap .nf-field-element:after {
  color: white;
}

.ninja-forms-form-wrap .nf-error .nf-error-msg {
  font-size: 16px;
  color: orange;
}

.ninja-forms-form-wrap .nf-error .ninja-forms-field {
 border-color: orange !important;
 border-width: 3px !important;
}

.nf-error.field-wrap .nf-field-element:after{
  background: orange !important; 
  border-top-right-radius: 6px;
  border-bottom-right-radius: 6px;
}

.nf-after-form-content .nf-form-errors .nf-error-msg{
  color: orange !important;
}
#cn-header-demo,
.nf-form-content input[type=submit]{
  background-color: white !important;
  color: var(--main-blue) !important;
  font-size: 15px;
  font-weight: 600;
  border: 0;
  border-radius: 25.5px !important;
  padding: 5px 30px;
} 



/* --- footer --- */
footer * {
  color: white !important;
  font-family: 'Inter', Arial, Helvetica, sans-serif !important;
  font-size: 15px !important;
}

/* --- features --- */
.js-tabs-content p {
  font-size: 16px;
  color: var(--dark-blue);
}

.menu .mobile__background {

}
#menu-item-14468{
  display: none;
}
#menu-item-14468 a{
  background-color: white;
  border-radius: 30px;
  line-height: 30px;
  padding: 3px 20px;
  width: fit-content;
  color: var(--main-blue);
}
#menu-item-14468 a:hover{
  color: var(--dark-blue);
}

@media (max-width:992px) {
  #cn-header-demo {
    font-size: 13px;
    padding: 6px 20px;
  }
  .header__bar.js-header-bar > .row > div {
    padding: 0 !important;
  }
}

div[data-elementor-type=wp-page] h2.highlighted-heading__title,
div[data-elementor-type=wp-page] h4.highlighted-heading__title{
  color: var(--e-global-color-d2bdddc) !important;
  font-size: 35px !important;
  font-weight: 700 !important;
  text-transform: none !important;
}


div[data-elementor-type=wp-page] #cn-heading-white h2.highlighted-heading__title{
  color:white !important;
}

#cn-row-form form {
  max-width: calc(100vw - 60px);
  margin: 0 auto;
}

.nf-response-msg {
  display: none;
  font-size: 1.2em;
  color: #fff;
  text-align: center;
  margin-bottom: 2em;
}

@media (min-width:992px) {
  #menu-main-en li a {
      transform: none !important;
  }
}
@media (max-width: 991px) {
  .overlayImgs {
    padding-left: 25px !important;
    padding-right: 25px !important;
  }
  .footer__content {
    margin-top: 15px;
  }
  .footer__content__item + .footer__content__item {
    margin-top: 10px;
  }
  .footer__top {
    padding-top: 50px;
  }
}
.elementor-element-d2aa6cd .elementor-widget-wrap {
  align-content: center;
}
.elementor-14574 .elementor-element.elementor-element-d2aa6cd.elementor-column > .elementor-widget-wrap {
  justify-content: center;
}
.nf-field-container.textarea-container {
  margin-bottom: 15px;
}
.service.-card.-hover .service__text {
  line-height: 18px;
}
.tabs.-section .tabs__button.is-active {
  border: 1px solid var(--footer-blue);
}
.page-masthead__subtitle,
.page-masthead__title {
  text-shadow: 0px 0px 5px #00000050 !important;
}
footer .cn-legal-menu {
  display: flex;
  font-family: 'Inter', sans-serif;
}
footer .cn-legal-menu li {
  margin-left: 25px;
}
@media (max-width:768px){
  footer .cn-legal-menu li {
    margin-left: 0; 
    margin-right: 20px;
  }
}
footer .cn-legal-menu li a:hover{
  text-decoration: underline;
}
footer .cn-legal-menu li a, .footer__bottom_text {
  font-size: 13px !important;
}
/* SF form */
body .form-sf input,
body .form-sf textarea {
  border-color: white;
  color: white;
  padding: 10px;
  margin-bottom: 20px;
}
body .form-sf {
  font-family: 'Inter', sans-serif;
  font-weight: 600;
  color: white;
}
body .form-sf input:focus {
  border-color: white !important;
}
body .form-sf input[type=submit] {
  background-color: white;
  color: var(--main-blue);
  font-size: 15px;
  font-weight: 600;
  border: 0;
  border-radius: 25px;
  padding: 6px 30px;
  margin-top: 20px;
}
body .form-sf input[type=submit]:hover {
  background-color: var(--main-blue);
  color: white;
}

/* ------- from custom code --------- */

#cn-clientes-row .elementor-icon {
  font-size: 200px;
}

#cn-clientes-row .elementor-flip-box__front {
  border: 1px solid #d5d5d5;
}

#cn-clientes-row .elementor-flip-box .elementor-icon-wrapper {
    margin-bottom: 0px;
}

#cn-clientes-row  .elementor-flip-box__layer__title {
	color: white;
}
.page-id-15035 #menu-main-en, .page-id-15035 .header__icons, .page-id-15035 .footer__top{
	display: none;
}

.sidebar h2.wp-block-heading{
	display: none;
}

input#cn-header-demo {
	font-size: 18px;
}

.elementor-element-966f649 {
    display: none;
}

.elementor-element-213f6f6 {
    margin-left: auto;
    margin-right: auto;
}

.tabs__pane {
    display: flex !important;
    opacity: 1 !important;
    margin-bottom: 100px;
}

#h2home h2 {
    color: white !important;
    font-size: 22px !important;
    margin-top: 20px;
    font-weight: 600 !important;
}



#new3sections li {
   list-style: disc;
   margin-bottom: 25px;
}

#new3sections ul {
    padding-left: 20px;
}
#new3sections li, p {
	font-size: 14px;
}

#new3sections li {
   list-style: disc;
   margin-bottom: 25px;

}

#new3sections > .e-con-inner > .elementor-element {
    background-color: white;
    padding: 40px 20px;
    border-radius: .3125rem;
    background-image: url(/wp-content/uploads/2025/08/40W_LogoOP.svg);
    background-repeat: no-repeat;
    background-size: 1300px 600px;
    background-position: calc(100% + 1000px) calc(100% + 300px);
}
.bookCTA a.elementor-button-link, 
#new3sections a.elementor-button-link {
    color: white !important;
    background-color: var(--footer-blue) !important;
    box-shadow: none !important;
    font-weight: 600;
    border: 0;
    border-radius: 25.5px !important;
    padding: 12px 30px;
    font-size: 18px;
    width: auto;
}

#h2explore h2 {
    font-weight: 600 !important;
    font-size: 28px !important;
    color: var(--footer-blue);
    line-height: 1.5 !important;
    text-align: center;
}

.page-masthead.page-masthead2 {
    padding-top: 15rem;
    padding-bottom: 18rem;
}

@media screen and (max-width: 800px) and (min-width: 1300px) {
  .page-masthead.page-masthead2 {
      padding-top: 10rem;
      padding-bottom: 18rem;
  }

  .page-masthead.page-masthead2 h1 {
      font-size: 60px !important;
  }
}

@media screen and (max-width: 800px){
  .page-masthead.page-masthead2 {
      padding-top: 10rem;
      padding-bottom: 10rem;
  }
	#h2explore h2 {
    font-size: 24px !important;
    line-height: 1.3 !important;
}
}

div[data-elementor-type=wp-page] h3.highlighted-heading__title{
    color: var(--e-global-color-d2bdddc) !important;
    font-size: 30px !important;
    font-weight: 700 !important;
    text-transform: none !important;
}

.show-disc li {
    list-style: disc;
    margin-bottom: 10px;
		color: var(--dark-blue);
		font-size: 16px;
}

.show-disc ul {
    padding-left: 20px;
    margin-top: 10px;
}

.tabs__pane {
    margin-bottom: 50px;
} 

body.page-id-14973 .elementor-icon i, .elementor-icon svg {
    width: 100%;
}




/* ------- end from custom code --------- */


@media (min-width: 1030px) and (max-width: 1360px) {
  #cn-home-features .elementor-icon-box-title{
    font-size: 16px !important;
  }
    #cn-home-features .elementor-icon-box-description {
    font-size: 14px !important;
  }
}
body.home .form-sf input[type=submit]:hover {
  background-color: var(--footer-blue);
  color: white;
}

@media screen and (max-width: 800px) and (min-width: 1380px) {
  .page-id-14157 .page-masthead,
  .page-masthead.page-masthead2 {
      padding-top: 2rem;
      padding-bottom: 18rem;
  }
  .page-id-14157 .page-masthead h1,
  .page-masthead.page-masthead2 h1 {
      font-size: 40px !important;
  }
}

@media screen and (max-width: 800px){
  .page-id-14157 .page-masthead,
  .page-masthead.page-masthead2 {
      padding-top: 10rem;
      padding-bottom: 10rem;
  }
}

div[data-elementor-type=wp-page] .h2smaller h2.highlighted-heading__title {
    font-size: 30px !important;
    line-height: 1.2;
}

